Search Chip catalog by term
curl --request GET \
--url https://api.raul.ugps.io/api/v1/catalogs/chips/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/catalogs/chips/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/catalogs/chips/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"syncedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"phone": {},
"iccid": {},
"imsi": {},
"endpointId": {},
"endpointName": {},
"statusId": {},
"statusDescription": {},
"ipAddress": {},
"tariffId": {},
"tariffName": {},
"serviceProfileId": {},
"simBatchId": {},
"activationDate": {},
"lastConnection": {},
"operator": {},
"networkType": {},
"endpointInfoUpdatedAt": {}
}
]Catalogs
Search Chip catalog by term
Operacion: Search Chip catalog by term.
GET
/
api
/
v1
/
catalogs
/
chips
/
search
Search Chip catalog by term
Authorizations
Bearer token authentication
Query Parameters
Search term (phone, ICCID, IMSI)
Response
200 - application/json
Unique identifier
Last sync date
Creation date
Last update date
Phone number
ICCID (SIM card identifier)
IMSI (International Mobile Subscriber Identity)
Endpoint ID in Emnify
Endpoint name in Emnify
Status ID
Status description
IP address
Tariff ID
Tariff name
Service profile ID
SIM batch ID
Activation date
Last connection date
Operator name
Network type (2G, 3G, 4G, etc.)
Endpoint info last update